Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search bound (wrong side of point)

From: Noam Postavsky <[email-masked]>
Date: Tue, 05 May 2020 13:33:45 -0400

Jacob Lagares Pozo <[email-masked]> writes:

> If I run it without your patches, it works surprisingly just fine (I
> noticed the original errors pop up most commonly on Slack I guess
> because it prints a lot more?), whereas if I evaluate said patches,
> this is the output of the trace buffer:

I don't see anything unexpected in the trace either.

> I am not sure what does this mean, perhaps it is some special
> character Slack uses for logging that messes with those markers, I
> don't know. Maybe I could try printing all of the ASCII characters
> sequentially and see what happens.

Well, ideally we would want a trace from something that does trigger the
error.

> Regardless, I'm still not entirely sure what your code is doing anyway.

It's basically just printing out the values of the markers, so we might
hopefully notice when they get changed in an unexpected way.